Index: sasmodels/models/hayter_msa.py
===================================================================
--- sasmodels/models/hayter_msa.py	(revision 0bef47b278e819df7ea6b572375dd7bc9607227e)
+++ sasmodels/models/hayter_msa.py	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
@@ -51,5 +51,5 @@
 #  dp[2] = volfraction();
 #  dp[3] = temperature();
-#  dp[4] = salt_concentration();
+#  dp[4] = concentration_salt();
 #  dp[5] = dielectconst();
 
@@ -76,5 +76,5 @@
     ["charge",        "e",   19.0,    [0, inf],    "", "charge on sphere (in electrons)"],
     ["temperature",   "K",  318.16,   [0, inf],    "", "temperature, in Kelvin, for Debye length calculation"],
-    ["salt_concentration",      "M",    0.0,    [-inf, inf], "", "conc of salt, moles/litre, 1:1 electolyte, for Debye length"],
+    ["concentration_salt",      "M",    0.0,    [-inf, inf], "", "conc of salt, moles/litre, 1:1 electolyte, for Debye length"],
     ["dielectconst",  "None",    71.08,   [-inf, inf], "", "dielectric constant (relative permittivity) of solvent, default water, for Debye length"]
     ]
@@ -93,10 +93,10 @@
 # note the calculation varies in different limiting cases so a wide range of
 # parameters will be required for a thorough test!
-# odd that the default st has salt_concentration zero
+# odd that the default st has concentration_salt zero
 demo = dict(radius_effective=20.75,
             charge=19.0,
             volfraction=0.0192,
             temperature=318.16,
-            salt_concentration=0.05,
+            concentration_salt=0.05,
             dielectconst=71.08,
             radius_effective_pd=0.1,
@@ -113,5 +113,5 @@
       'volfraction': 0.0192,
       'temperature': 298.0,
-      'salt_concentration': 0,
+      'concentration_salt': 0,
       'dielectconst': 78.0,
       'radius_effective_pd': 0},
@@ -123,5 +123,5 @@
       'volfraction': 0.0192,
       'temperature': 298.0,
-      'salt_concentration': 0.05,
+      'concentration_salt': 0.05,
       'dielectconst': 78.0,
       'radius_effective_pd': 0.1,
Index: sasmodels/models/hollow_cylinder.c
===================================================================
--- sasmodels/models/hollow_cylinder.c	(revision f95556fd6a37eef3bf883d75fe7a776c38ef3cef)
+++ sasmodels/models/hollow_cylinder.c	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
@@ -1,10 +1,10 @@
-double form_volume(double radius, double core_radius, double length);
+double form_volume(double radius, double radius_core, double length);
 
-double Iq(double q, double radius, double core_radius, double length, double sld,
+double Iq(double q, double radius, double radius_core, double length, double sld,
 	double solvent_sld);
-double Iqxy(double qx, double qy, double radius, double core_radius, double length, double sld,
+double Iqxy(double qx, double qy, double radius, double radius_core, double length, double sld,
 	double solvent_sld, double theta, double phi);
 
-#define INVALID(v) (v.core_radius >= v.radius)
+#define INVALID(v) (v.radius_core >= v.radius)
 
 // From Igor library
@@ -27,11 +27,11 @@
 
 static double _hollow_cylinder_kernel(
-    double q, double core_radius, double radius, double length, double dum)
+    double q, double radius_core, double radius, double length, double dum)
 {
     const double qs = q*sqrt(1.0-dum*dum);
     const double lam1 = sas_J1c(radius*qs);
-    const double lam2 = sas_J1c(core_radius*qs);
-    const double gamma_sq = square(core_radius/radius);
-    //Note: lim_{r -> r_c} psi = J0(core_radius*qs)
+    const double lam2 = sas_J1c(radius_core*qs);
+    const double gamma_sq = square(radius_core/radius);
+    //Note: lim_{r -> r_c} psi = J0(radius_core*qs)
     const double psi = (lam1 - gamma_sq*lam2)/(1.0 - gamma_sq);	//SRK 10/19/00
     const double t2 = sinc(q*length*dum/2.0);
@@ -41,5 +41,5 @@
 
 static double hollow_cylinder_analytical_2D_scaled(
-    double q, double q_x, double q_y, double radius, double core_radius,
+    double q, double q_x, double q_y, double radius, double radius_core,
     double length, double sld, double solvent_sld, double theta, double phi)
 {
@@ -65,7 +65,7 @@
     cos_val = cyl_x*q_x + cyl_y*q_y;// + cyl_z*q_z;
 
-    answer = _hollow_cylinder_kernel(q, core_radius, radius, length, cos_val);
+    answer = _hollow_cylinder_kernel(q, radius_core, radius, length, cos_val);
 
-    vol = form_volume(radius, core_radius, length);
+    vol = form_volume(radius, radius_core, length);
     answer = hollow_cylinder_scaling(answer, delrho, vol);
 
@@ -74,12 +74,12 @@
 
 
-double form_volume(double radius, double core_radius, double length)
+double form_volume(double radius, double radius_core, double length)
 {
-    double v_shell = M_PI*length*(radius*radius-core_radius*core_radius);
+    double v_shell = M_PI*length*(radius*radius-radius_core*radius_core);
     return(v_shell);
 }
 
 
-double Iq(double q, double radius, double core_radius, double length,
+double Iq(double q, double radius, double radius_core, double length,
     double sld, double solvent_sld)
 {
@@ -95,10 +95,10 @@
     for (i=0;i<76;i++) {
         zi = ( Gauss76Z[i] * (upper-lower) + lower + upper )/2.0;
-        inter = Gauss76Wt[i] * _hollow_cylinder_kernel(q, core_radius, radius, length, zi);
+        inter = Gauss76Wt[i] * _hollow_cylinder_kernel(q, radius_core, radius, length, zi);
         summ += inter;
     }
 
     norm = summ*(upper-lower)/2.0;
-    volume = form_volume(radius, core_radius, length);
+    volume = form_volume(radius, radius_core, length);
     delrho = solvent_sld - sld;
     answer = hollow_cylinder_scaling(norm, delrho, volume);
@@ -108,8 +108,8 @@
 
 
-double Iqxy(double qx, double qy, double radius, double core_radius,
+double Iqxy(double qx, double qy, double radius, double radius_core,
     double length, double sld, double solvent_sld, double theta, double phi)
 {
     const double q = sqrt(qx*qx+qy*qy);
-    return hollow_cylinder_analytical_2D_scaled(q, qx/q, qy/q, radius, core_radius, length, sld, solvent_sld, theta, phi);
+    return hollow_cylinder_analytical_2D_scaled(q, qx/q, qy/q, radius, radius_core, length, sld, solvent_sld, theta, phi);
 }
Index: sasmodels/models/hollow_cylinder.py
===================================================================
--- sasmodels/models/hollow_cylinder.py	(revision 58210db589ed9c4e04967d8c494d63b2a5d6f627)
+++ sasmodels/models/hollow_cylinder.py	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
@@ -39,5 +39,5 @@
 
 In the parameters, the contrast represents SLD :sub:`shell` - SLD :sub:`solvent`
-and the *radius* is $R_\text{shell}$ while *core_radius* is $R_\text{core}$.
+and the *radius* is $R_\text{shell}$ while *radius_core* is $R_\text{core}$.
 
 To provide easy access to the orientation of the core-shell cylinder, we define
@@ -58,5 +58,5 @@
 description = """
 P(q) = scale*<f*f>/Vol + background, where f is the scattering amplitude.
-core_radius = the radius of core
+radius_core = the radius of core
 radius = the radius of shell
 length = the total length of the cylinder
@@ -70,5 +70,5 @@
 parameters = [
     ["radius",      "Ang",     30.0, [0, inf],    "volume",      "Cylinder radius"],
-    ["core_radius", "Ang",     20.0, [0, inf],    "volume",      "Hollow core radius"],
+    ["radius_core", "Ang",     20.0, [0, inf],    "volume",      "Hollow core radius"],
     ["length",      "Ang",    400.0, [0, inf],    "volume",      "Cylinder length"],
     ["sld",         "1/Ang^2",  6.3, [-inf, inf], "sld",         "Cylinder sld"],
@@ -82,8 +82,8 @@
 
 # pylint: disable=W0613
-def ER(radius, core_radius, length):
+def ER(radius, radius_core, length):
     """
     :param radius:      Cylinder radius
-    :param core_radius: Hollow core radius, UNUSED
+    :param radius_core: Hollow core radius, UNUSED
     :param length:      Cylinder length
     :return:            Effective radius
@@ -99,12 +99,12 @@
     return diam
 
-def VR(radius, core_radius, length):
+def VR(radius, radius_core, length):
     """
     :param radius:      Cylinder radius
-    :param core_radius: Hollow core radius
+    :param radius_core: Hollow core radius
     :param length:      Cylinder length
     :return:            Volf ratio for P(q)*S(q)
     """
-    vol_core = pi*core_radius*core_radius*length
+    vol_core = pi*radius_core*radius_core*length
     vol_total = pi*radius*radius*length
     vol_shell = vol_total - vol_core
@@ -113,8 +113,8 @@
 # parameters for demo
 demo = dict(scale=1.0, background=0.0, length=400.0, radius=30.0,
-            core_radius=20.0, sld=6.3, sld_solvent=1, theta=90, phi=0,
+            radius_core=20.0, sld=6.3, sld_solvent=1, theta=90, phi=0,
             radius_pd=.2, radius_pd_n=9,
             length_pd=.2, length_pd_n=10,
-            core_radius_pd=.2, core_radius_pd_n=9,
+            radius_core_pd=.2, radius_core_pd_n=9,
             theta_pd=10, theta_pd_n=5,
            )
Index: sasmodels/models/hollow_rectangular_prism.c
===================================================================
--- sasmodels/models/hollow_rectangular_prism.c	(revision deb7ee06caa9916d8c0504bdc15ffbc16df623f6)
+++ sasmodels/models/hollow_rectangular_prism.c	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
@@ -1,17 +1,17 @@
-double form_volume(double a_side, double b2a_ratio, double c2a_ratio, double thickness);
-double Iq(double q, double sld, double solvent_sld, double a_side, 
+double form_volume(double length_a, double b2a_ratio, double c2a_ratio, double thickness);
+double Iq(double q, double sld, double solvent_sld, double length_a, 
           double b2a_ratio, double c2a_ratio, double thickness);
 double Iqxy(double qx, double qy, double sld, double solvent_sld, 
-            double a_side, double b2a_ratio, double c2a_ratio, double thickness);
+            double length_a, double b2a_ratio, double c2a_ratio, double thickness);
 
-double form_volume(double a_side, double b2a_ratio, double c2a_ratio, double thickness)
+double form_volume(double length_a, double b2a_ratio, double c2a_ratio, double thickness)
 {
-    double b_side = a_side * b2a_ratio;
-    double c_side = a_side * c2a_ratio;
-    double a_core = a_side - 2.0*thickness;
+    double b_side = length_a * b2a_ratio;
+    double c_side = length_a * c2a_ratio;
+    double a_core = length_a - 2.0*thickness;
     double b_core = b_side - 2.0*thickness;
     double c_core = c_side - 2.0*thickness;
     double vol_core = a_core * b_core * c_core;
-    double vol_total = a_side * b_side * c_side;
+    double vol_total = length_a * b_side * c_side;
     double vol_shell = vol_total - vol_core;
     return vol_shell;
@@ -21,5 +21,5 @@
     double sld,
     double solvent_sld,
-    double a_side,
+    double length_a,
     double b2a_ratio,
     double c2a_ratio,
@@ -28,7 +28,7 @@
     double termA1, termA2, termB1, termB2, termC1, termC2;
     
-    double b_side = a_side * b2a_ratio;
-    double c_side = a_side * c2a_ratio;
-    double a_half = 0.5 * a_side;
+    double b_side = length_a * b2a_ratio;
+    double c_side = length_a * c2a_ratio;
+    double a_half = 0.5 * length_a;
     double b_half = 0.5 * b_side;
     double c_half = 0.5 * c_side;
@@ -73,5 +73,5 @@
 	        if (fabs(arg) > 1.e-16) {termB2 = sin(arg)/arg;} else {termB2 = 1.0;}
 
-            double AP1 = (a_side*b_side*c_side) * termA1 * termB1 * termC1;
+            double AP1 = (length_a*b_side*c_side) * termA1 * termB1 * termC1;
             double AP2 = 8.0 * (a_half-thickness) * (b_half-thickness) * (c_half-thickness) * termA2 * termB2 * termC2;
             double AP = AP1 - AP2;
@@ -105,5 +105,5 @@
     double sld,
     double solvent_sld,
-    double a_side,
+    double length_a,
     double b2a_ratio,
     double c2a_ratio,
@@ -111,5 +111,5 @@
 {
     double q = sqrt(qx*qx + qy*qy);
-    double intensity = Iq(q, sld, solvent_sld, a_side, b2a_ratio, c2a_ratio, thickness); 
+    double intensity = Iq(q, sld, solvent_sld, length_a, b2a_ratio, c2a_ratio, thickness); 
     return intensity;    
 }
Index: sasmodels/models/hollow_rectangular_prism.py
===================================================================
--- sasmodels/models/hollow_rectangular_prism.py	(revision 40a87fa5096610e24c3ead10299f609e99f093f2)
+++ sasmodels/models/hollow_rectangular_prism.py	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
@@ -105,5 +105,5 @@
               ["sld_solvent", "1e-6/Ang^2", 1, [-inf, inf], "sld",
                "Solvent scattering length density"],
-              ["a_side", "Ang", 35, [0, inf], "volume",
+              ["length_a", "Ang", 35, [0, inf], "volume",
                "Shorter side of the parallelepiped"],
               ["b2a_ratio", "Ang", 1, [0, inf], "volume",
@@ -117,29 +117,29 @@
 source = ["lib/gauss76.c", "hollow_rectangular_prism.c"]
 
-def ER(a_side, b2a_ratio, c2a_ratio, thickness):
+def ER(length_a, b2a_ratio, c2a_ratio, thickness):
     """
     Return equivalent radius (ER)
     thickness parameter not used
     """
-    b_side = a_side * b2a_ratio
-    c_side = a_side * c2a_ratio
+    b_side = length_a * b2a_ratio
+    c_side = length_a * c2a_ratio
 
     # surface average radius (rough approximation)
-    surf_rad = sqrt(a_side * b_side / pi)
+    surf_rad = sqrt(length_a * b_side / pi)
 
     ddd = 0.75 * surf_rad * (2 * surf_rad * c_side + (c_side + surf_rad) * (c_side + pi * surf_rad))
     return 0.5 * (ddd) ** (1. / 3.)
 
-def VR(a_side, b2a_ratio, c2a_ratio, thickness):
+def VR(length_a, b2a_ratio, c2a_ratio, thickness):
     """
     Return shell volume and total volume
     """
-    b_side = a_side * b2a_ratio
-    c_side = a_side * c2a_ratio
-    a_core = a_side - 2.0*thickness
+    b_side = length_a * b2a_ratio
+    c_side = length_a * c2a_ratio
+    a_core = length_a - 2.0*thickness
     b_core = b_side - 2.0*thickness
     c_core = c_side - 2.0*thickness
     vol_core = a_core * b_core * c_core
-    vol_total = a_side * b_side * c_side
+    vol_total = length_a * b_side * c_side
     vol_shell = vol_total - vol_core
     return vol_total, vol_shell
@@ -149,6 +149,6 @@
 demo = dict(scale=1, background=0,
             sld=6.3e-6, sld_solvent=1.0e-6,
-            a_side=35, b2a_ratio=1, c2a_ratio=1, thickness=1,
-            a_side_pd=0.1, a_side_pd_n=10,
+            length_a=35, b2a_ratio=1, c2a_ratio=1, thickness=1,
+            length_a_pd=0.1, length_a_pd_n=10,
             b2a_ratio_pd=0.1, b2a_ratio_pd_n=1,
             c2a_ratio_pd=0.1, c2a_ratio_pd_n=1)
Index: sasmodels/models/hollow_rectangular_prism_thin_walls.c
===================================================================
--- sasmodels/models/hollow_rectangular_prism_thin_walls.c	(revision 3d8283b2c240f54cc6f2667de0f1784412a1c426)
+++ sasmodels/models/hollow_rectangular_prism_thin_walls.c	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
@@ -1,13 +1,13 @@
-double form_volume(double a_side, double b2a_ratio, double c2a_ratio);
-double Iq(double q, double sld, double solvent_sld, double a_side, 
+double form_volume(double length_a, double b2a_ratio, double c2a_ratio);
+double Iq(double q, double sld, double solvent_sld, double length_a, 
           double b2a_ratio, double c2a_ratio);
 double Iqxy(double qx, double qy, double sld, double solvent_sld, 
-            double a_side, double b2a_ratio, double c2a_ratio);
+            double length_a, double b2a_ratio, double c2a_ratio);
 
-double form_volume(double a_side, double b2a_ratio, double c2a_ratio)
+double form_volume(double length_a, double b2a_ratio, double c2a_ratio)
 {
-    double b_side = a_side * b2a_ratio;
-    double c_side = a_side * c2a_ratio;
-    double vol_shell = 2.0 * (a_side*b_side + a_side*c_side + b_side*c_side);
+    double b_side = length_a * b2a_ratio;
+    double c_side = length_a * c2a_ratio;
+    double vol_shell = 2.0 * (length_a*b_side + length_a*c_side + b_side*c_side);
     return vol_shell;
 }
@@ -16,11 +16,11 @@
     double sld,
     double solvent_sld,
-    double a_side,
+    double length_a,
     double b2a_ratio,
     double c2a_ratio)
 {
-    double b_side = a_side * b2a_ratio;
-    double c_side = a_side * c2a_ratio;
-    double a_half = 0.5 * a_side;
+    double b_side = length_a * b2a_ratio;
+    double c_side = length_a * c2a_ratio;
+    double a_half = 0.5 * length_a;
     double b_half = 0.5 * b_side;
     double c_half = 0.5 * c_side;
@@ -88,10 +88,10 @@
     double sld,
     double solvent_sld,
-    double a_side,
+    double length_a,
     double b2a_ratio,
     double c2a_ratio)
 {
     double q = sqrt(qx*qx + qy*qy);
-    double intensity = Iq(q, sld, solvent_sld, a_side, b2a_ratio, c2a_ratio); 
+    double intensity = Iq(q, sld, solvent_sld, length_a, b2a_ratio, c2a_ratio); 
     return intensity;    
 }
Index: sasmodels/models/hollow_rectangular_prism_thin_walls.py
===================================================================
--- sasmodels/models/hollow_rectangular_prism_thin_walls.py	(revision 42356c8890c04b71169941b12a36fc0e07e2034b)
+++ sasmodels/models/hollow_rectangular_prism_thin_walls.py	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
@@ -91,5 +91,5 @@
               ["sld_solvent", "1e-6/Ang^2", 1, [-inf, inf], "sld",
                "Solvent scattering length density"],
-              ["a_side", "Ang", 35, [0, inf], "volume",
+              ["length_a", "Ang", 35, [0, inf], "volume",
                "Shorter side of the parallelepiped"],
               ["b2a_ratio", "Ang", 1, [0, inf], "volume",
@@ -101,25 +101,25 @@
 source = ["lib/gauss76.c", "hollow_rectangular_prism_thin_walls.c"]
 
-def ER(a_side, b2a_ratio, c2a_ratio):
+def ER(length_a, b2a_ratio, c2a_ratio):
     """
         Return equivalent radius (ER)
     """
-    b_side = a_side * b2a_ratio
-    c_side = a_side * c2a_ratio
+    b_side = length_a * b2a_ratio
+    c_side = length_a * c2a_ratio
 
     # surface average radius (rough approximation)
-    surf_rad = sqrt(a_side * b_side / pi)
+    surf_rad = sqrt(length_a * b_side / pi)
 
     ddd = 0.75 * surf_rad * (2 * surf_rad * c_side + (c_side + surf_rad) * (c_side + pi * surf_rad))
     return 0.5 * (ddd) ** (1. / 3.)
 
-def VR(a_side, b2a_ratio, c2a_ratio):
+def VR(length_a, b2a_ratio, c2a_ratio):
     """
         Return shell volume and total volume
     """
-    b_side = a_side * b2a_ratio
-    c_side = a_side * c2a_ratio
-    vol_total = a_side * b_side * c_side
-    vol_shell = 2.0 * (a_side*b_side + a_side*c_side + b_side*c_side)
+    b_side = length_a * b2a_ratio
+    c_side = length_a * c2a_ratio
+    vol_total = length_a * b_side * c_side
+    vol_shell = 2.0 * (length_a*b_side + length_a*c_side + b_side*c_side)
     return vol_shell, vol_total
 
@@ -128,6 +128,6 @@
 demo = dict(scale=1, background=0,
             sld=6.3e-6, sld_solvent=1.0e-6,
-            a_side=35, b2a_ratio=1, c2a_ratio=1,
-            a_side_pd=0.1, a_side_pd_n=10,
+            length_a=35, b2a_ratio=1, c2a_ratio=1,
+            length_a_pd=0.1, length_a_pd_n=10,
             b2a_ratio_pd=0.1, b2a_ratio_pd_n=1,
             c2a_ratio_pd=0.1, c2a_ratio_pd_n=1)
Index: sasmodels/models/lamellar_hg.py
===================================================================
--- sasmodels/models/lamellar_hg.py	(revision 40a87fa5096610e24c3ead10299f609e99f093f2)
+++ sasmodels/models/lamellar_hg.py	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
@@ -25,5 +25,5 @@
         \right\rbrace^2
 
-where $\delta_T$ is *tail_length*, $\delta_H$ is *head_length*,
+where $\delta_T$ is *length_tail*, $\delta_H$ is *length_head*,
 $\Delta\rho_H$ is the head contrast (*sld_head* $-$ *sld_solvent*),
 and $\Delta\rho_T$ is tail contrast (*sld* $-$ *sld_solvent*).
@@ -67,6 +67,6 @@
 # pylint: disable=bad-whitespace, line-too-long
 #             ["name", "units", default, [lower, upper], "type","description"],
-parameters = [["tail_length", "Ang",       15,   [0, inf],  "volume",  "Tail thickness ( total = H+T+T+H)"],
-              ["head_length", "Ang",       10,   [0, inf],  "volume",  "Head thickness"],
+parameters = [["length_tail", "Ang",       15,   [0, inf],  "volume",  "Tail thickness ( total = H+T+T+H)"],
+              ["length_head", "Ang",       10,   [0, inf],  "volume",  "Head thickness"],
               ["sld",         "1e-6/Ang^2", 0.4, [-inf,inf], "sld",    "Tail scattering length density"],
               ["sld_head",    "1e-6/Ang^2", 3.0, [-inf,inf], "sld",    "Head scattering length density"],
@@ -84,7 +84,7 @@
     const double drh = sld_head - sld_solvent;
     const double drt = sld - sld_solvent;    //correction 13FEB06 by L.Porcar
-    const double qT = q*tail_length;
+    const double qT = q*length_tail;
     double Pq, inten;
-    Pq = drh*(sin(q*(head_length+tail_length))-sin(qT)) + drt*sin(qT);
+    Pq = drh*(sin(q*(length_head+length_tail))-sin(qT)) + drt*sin(qT);
     Pq *= Pq;
     Pq *= 4.0/(qsq);
@@ -93,5 +93,5 @@
 
     // normalize by the bilayer thickness
-    inten /= 2.0*(head_length+tail_length);
+    inten /= 2.0*(length_head+length_tail);
 
     return inten;
@@ -102,12 +102,12 @@
 
 demo = dict(scale=1, background=0,
-            tail_length=15, head_length=10,
+            length_tail=15, length_head=10,
             sld=0.4, sld_head=3.0, sld_solvent=6.0,
-            tail_length_pd=0.2, tail_length_pd_n=40,
-            head_length_pd=0.01, head_length_pd_n=40)
+            length_tail_pd=0.2, length_tail_pd_n=40,
+            length_head_pd=0.01, length_head_pd_n=40)
 
 #
 tests = [
-    [{'scale': 1.0, 'background': 0.0, 'tail_length': 15.0, 'head_length': 10.0,
+    [{'scale': 1.0, 'background': 0.0, 'length_tail': 15.0, 'length_head': 10.0,
       'sld': 0.4, 'sld_head': 3.0, 'sld_solvent': 6.0},
      [0.001], [653143.9209]],
Index: sasmodels/models/lamellar_hg_stack_caille.c
===================================================================
--- sasmodels/models/lamellar_hg_stack_caille.c	(revision 0bef47b278e819df7ea6b572375dd7bc9607227e)
+++ sasmodels/models/lamellar_hg_stack_caille.c	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
@@ -4,6 +4,6 @@
 
 double Iq(double qval,
-      double tail_length,
-      double head_length,
+      double length_tail,
+      double length_head,
       double Nlayers, 
       double dd,
@@ -14,6 +14,6 @@
 
 double Iq(double qval,
-      double tail_length,
-      double head_length,
+      double length_tail,
+      double length_head,
       double Nlayers, 
       double dd,
@@ -34,6 +34,6 @@
   NN = trunc(Nlayers);    //be sure that NN is an integer
   
-  Pq = (head_sld-solvent_sld)*(sin(qval*(head_length+tail_length))-sin(qval*tail_length)) +
-              (tail_sld-solvent_sld)*sin(qval*tail_length);
+  Pq = (head_sld-solvent_sld)*(sin(qval*(length_head+length_tail))-sin(qval*length_tail)) +
+              (tail_sld-solvent_sld)*sin(qval*length_tail);
   Pq *= Pq;
   Pq *= 4.0/(qval*qval);
Index: sasmodels/models/lamellar_hg_stack_caille.py
===================================================================
--- sasmodels/models/lamellar_hg_stack_caille.py	(revision 0bef47b278e819df7ea6b572375dd7bc9607227e)
+++ sasmodels/models/lamellar_hg_stack_caille.py	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
@@ -42,6 +42,6 @@
 
 
-$\delta_T$ is the tail length (or *tail_length*), $\delta_H$ is the head
-thickness (or *head_length*), $\Delta\rho_H$ is SLD(headgroup) - SLD(solvent),
+$\delta_T$ is the tail length (or *length_tail*), $\delta_H$ is the head
+thickness (or *length_head*), $\Delta\rho_H$ is SLD(headgroup) - SLD(solvent),
 and $\Delta\rho_T$ is SLD(tail) - SLD(headgroup). Here $d$ is (repeat) spacing,
 $K$ is smectic bending elasticity, $B$ is compression modulus, and $N$ is the
@@ -94,7 +94,7 @@
     #   [ "name", "units", default, [lower, upper], "type",
     #     "description" ],
-    ["tail_length", "Ang", 10, [0, inf], "volume",
+    ["length_tail", "Ang", 10, [0, inf], "volume",
      "Tail thickness"],
-    ["head_length", "Ang", 2, [0, inf], "volume",
+    ["length_head", "Ang", 2, [0, inf], "volume",
      "head thickness"],
     ["Nlayers", "", 30, [0, inf], "",
@@ -126,16 +126,16 @@
     scale=1, background=0,
     Nlayers=20, spacing=200., Caille_parameter=0.05,
-    tail_length=15, head_length=10,
+    length_tail=15, length_head=10,
     #sld=-1, sld_head=4.0, sld_solvent=6.0,
     sld=-1, sld_head=4.1, sld_solvent=6.0,
-    tail_length_pd=0.1, tail_length_pd_n=20,
-    head_length_pd=0.05, head_length_pd_n=30,
+    length_tail_pd=0.1, length_tail_pd_n=20,
+    length_head_pd=0.05, length_head_pd_n=30,
     spacing_pd=0.2, spacing_pd_n=40,
     )
 
 #
-tests = [[{'scale': 1.0, 'background': 0.0, 'tail_length': 10.0, 'head_length': 2.0,
+tests = [[{'scale': 1.0, 'background': 0.0, 'length_tail': 10.0, 'length_head': 2.0,
            'Nlayers': 30.0, 'spacing': 40., 'Caille_parameter': 0.001, 'sld': 0.4,
-           'sld_head': 2.0, 'sld_solvent': 6.0, 'tail_length_pd': 0.0,
-           'head_length_pd': 0.0, 'spacing_pd': 0.0}, [0.001], [6838238.571488]]]
+           'sld_head': 2.0, 'sld_solvent': 6.0, 'length_tail_pd': 0.0,
+           'length_head_pd': 0.0, 'spacing_pd': 0.0}, [0.001], [6838238.571488]]]
 # ADDED by: RKH  ON: 18Mar2016  converted from sasview previously, now renaming everything & sorting the docs
Index: sasmodels/models/mass_fractal.c
===================================================================
--- sasmodels/models/mass_fractal.c	(revision 2c74c11fc4544381ecf9949bd1618c67ff624c6d)
+++ sasmodels/models/mass_fractal.c	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
@@ -3,14 +3,14 @@
 double Iq(double q,
           double radius,
-          double mass_dim,
+          double fractal_dim_mass,
           double cutoff_length);
 
 static double _mass_fractal_kernel(double q,
           double radius,
-          double mass_dim,
+          double fractal_dim_mass,
           double cutoff_length)
 {
     // Actively check the argument.
-    if (mass_dim <= 1.0){
+    if (fractal_dim_mass <= 1.0){
        return 0.0;
     }
@@ -21,5 +21,5 @@
 
     //calculate S(q)
-    double mmo = mass_dim-1.0;
+    double mmo = fractal_dim_mass-1.0;
     double sq = sas_gamma(mmo)*sin((mmo)*atan(q*cutoff_length));
     sq *= pow(cutoff_length, mmo);
@@ -39,10 +39,10 @@
 double Iq(double q,
           double radius,
-          double mass_dim,
+          double fractal_dim_mass,
           double cutoff_length)
 {
     return _mass_fractal_kernel(q,
            radius,
-           mass_dim,
+           fractal_dim_mass,
            cutoff_length);
 }
Index: sasmodels/models/mass_fractal.py
===================================================================
--- sasmodels/models/mass_fractal.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
+++ sasmodels/models/mass_fractal.py	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
@@ -68,9 +68,9 @@
         where delta = sldParticle -sldSolv.
         radius       =  Particle radius
-        mass_dim  =  Mass fractal dimension
+        fractal_dim_mass  =  Mass fractal dimension
         cutoff_length  =  Cut-off length
         background   =  background
         Ref.:Mildner, Hall,J Phys D Appl Phys(1986), 9, 1535-1545
-        Note I: This model is valid for 1<mass_dim<6.
+        Note I: This model is valid for 1<fractal_dim_mass<6.
         Note II: This model is not in absolute scale.
         """
@@ -80,5 +80,5 @@
 #             ["name", "units", default, [lower, upper], "type","description"],
 parameters = [["radius",        "Ang",  10.0, [0.0, inf], "", "Particle radius"],
-              ["mass_dim",      "",      1.9, [1.0, 6.0], "", "Mass fractal dimension"],
+              ["fractal_dim_mass",      "",      1.9, [1.0, 6.0], "", "Mass fractal dimension"],
               ["cutoff_length", "Ang", 100.0, [0.0, inf], "", "Cut-off length"],
              ]
@@ -89,5 +89,5 @@
 demo = dict(scale=1, background=0,
             radius=10.0,
-            mass_dim=1.9,
+            fractal_dim_mass=1.9,
             cutoff_length=100.0)
 
@@ -96,5 +96,5 @@
     # Accuracy tests based on content in test/utest_other_models.py
     [{'radius':         10.0,
-      'mass_dim':        1.9,
+      'fractal_dim_mass':        1.9,
       'cutoff_length': 100.0,
      }, 0.05, 279.59422],
@@ -102,10 +102,10 @@
     # Additional tests with larger range of parameters
     [{'radius':        2.0,
-      'mass_dim':      3.3,
+      'fractal_dim_mass':      3.3,
       'cutoff_length': 1.0,
      }, 0.5, 1.29116774904],
 
     [{'radius':        1.0,
-      'mass_dim':      1.3,
+      'fractal_dim_mass':      1.3,
       'cutoff_length': 1.0,
       'background':    0.8,
@@ -113,5 +113,5 @@
 
     [{'radius':        1.0,
-      'mass_dim':      2.3,
+      'fractal_dim_mass':      2.3,
       'cutoff_length': 1.0,
       'scale':        10.0,
Index: sasmodels/models/mass_surface_fractal.c
===================================================================
--- sasmodels/models/mass_surface_fractal.c	(revision 2c74c11fc4544381ecf9949bd1618c67ff624c6d)
+++ sasmodels/models/mass_surface_fractal.c	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
@@ -2,21 +2,21 @@
 
 double Iq(double q,
-          double mass_dim,
-          double surface_dim,
-          double cluster_rg,
+          double fractal_dim_mass,
+          double fractal_dim_surf,
+          double rg_cluster,
           double primary_rg);
 
 static double _mass_surface_fractal_kernel(double q,
-          double mass_dim,
-          double surface_dim,
-          double cluster_rg,
+          double fractal_dim_mass,
+          double fractal_dim_surf,
+          double rg_cluster,
           double primary_rg)
 {
      //computation
-    double tot_dim = 6.0 - surface_dim - mass_dim;
-    mass_dim /= 2.0;
+    double tot_dim = 6.0 - fractal_dim_surf - fractal_dim_mass;
+    fractal_dim_mass /= 2.0;
     tot_dim /= 2.0;
 
-    double rc_norm = cluster_rg * cluster_rg / (3.0 * mass_dim);
+    double rc_norm = rg_cluster * rg_cluster / (3.0 * fractal_dim_mass);
     double rp_norm = primary_rg * primary_rg / (3.0 * tot_dim);
 
@@ -25,5 +25,5 @@
     double x_val2 = 1.0 +  q * q * rp_norm;
 
-    double inv_form = pow(x_val1, mass_dim) * pow(x_val2, tot_dim);
+    double inv_form = pow(x_val1, fractal_dim_mass) * pow(x_val2, tot_dim);
 
     //another singular
@@ -41,13 +41,13 @@
 
 double Iq(double q,
-          double mass_dim,
-          double surface_dim,
-          double cluster_rg,
+          double fractal_dim_mass,
+          double fractal_dim_surf,
+          double rg_cluster,
           double primary_rg)
 {
     return _mass_surface_fractal_kernel(q,
-            mass_dim,
-            surface_dim,
-            cluster_rg,
+            fractal_dim_mass,
+            fractal_dim_surf,
+            rg_cluster,
             primary_rg);
 }
